package tech.nevets.autoupdater;

import com.google.gson.Gson;
import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;

import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

public class AuthFileHandler {
    private JsonObject file;

    public void loadFile() {
        try {
            File jsonFile = new File("./auth-tokens.json");
            if (!jsonFile.exists()) {
                jsonFile.createNewFile();
                FileWriter writer = new FileWriter(jsonFile);
                writer.write("{ \"tokens\": [ \"token1\",\"token2\",\"token3\" ] }");
                writer.close();
            }
            file = new Gson().fromJson(new FileReader(jsonFile), JsonObject.class);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public boolean containsToken(String authToken) {
        JsonArray jArray = file.get("tokens").getAsJsonArray();
        for (JsonElement element : jArray) {
            if (element.getAsString().equals(authToken)) {
                return true;
            }
        }
        return false;
    }
}
